db4o |

# ExtObjectServer Methods

The methods of the ExtObjectServer interface are listed below. For a complete list of ExtObjectServer interface members, see the ExtObjectServer Members topic.

#### Public Instance Methods

Backup | backs up the database file used by the ObjectServer.
Configure | returns the com.db4o.config.Configuration context for this ObjectServer. Upon opening an ObjectServer with any of the factory methods in the com.db4o.Db4o class, the global com.db4o.config.Configuration context is copied into the ObjectServer. The com.db4o.config.Configuration can be modified individually for each ObjectServer without any effects on the global settings.
ObjectContainer | returns the ObjectContainer used by the server.
RevokeAccess | removes client access permissions for the specified user.

#### See Also

ExtObjectServer Interface | com.db4o.ext Namespace